/* ============================================== */
/* CSS for control sap.ui.commons/Toolbar.control */
/* SAP-HCB Theme                                  */
/* ============================================== */

.sapUiTb {
	height: 27px;
	font-size: @sapUiDesktopFontSize;
}

.sapUiTb.sapUiTbStandalone {
	height: 29px;
}

.sapUiTbDesignStandard {
	background-color: @sapUiExtraLightBG;
}

.sapUiTbCont {
	height: 23px;
}

.sapUiTbOB {
	background-image: url(img/toolbar/arrow.gif);
}

.sapUiTbDD > div {
	background-color:  @sapUiExtraLightBG;
}

.sapUiTbContLeft.sapUiTbCont {
	padding: 4px 0px 4px 10px;
	height: 29px;
}

.sapUiTbInner > * , .sapUiTbInnerRight > * {
	margin-right: 8px;
}

.sapUiTbInnerRight {
	padding: 5px 0px 3px 10px;
	height: 22px;
}

/* Toolbar inside of Form as Form- and Container- header */
.sapUiGrid.sapUiFormToolbar .sapUiGridTitle > th > .sapUiTb,
.sapUiFormToolbar > div:first-child.sapUiTb{
	border-bottom-width: 3px;
	padding-top: 10px;
}

.sapUiGridTitle > th > .sapUiTb > .sapUiTbInnerRight > *:last-child,
.sapUiFormToolbar > .sapUiTb > .sapUiTbInnerRight > *:last-child,
.sapUiFormContainerToolbar > .sapUiTb > .sapUiTbInnerRight > *:last-child{
	margin-right: 0;
}

.sapUiRGLContainer.sapUiFormContainerToolbar > .sapUiTb > .sapUiTbInnerRight > *:last-child{
	margin-right: 0.25rem;
}

.sapUiGridTitle > th > .sapUiTb > .sapUiTbCont,
.sapUiFormToolbar > .sapUiTb > .sapUiTbCont,
.sapUiFormContainerToolbar > .sapUiTb > .sapUiTbCont{
	border-color: transparent;
	padding-left: 0;
}

.sapUiFormResLayout.sapUiFormToolbar > .sapUiTb > .sapUiTbInnerRight,
.sapUiFormResGrid.sapUiFormToolbar > .sapUiTb > .sapUiTbInnerRight{
	right: 1rem;
}